%define anolis_release 4

%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 8
%define full_release_version 8.2
%define compat_release_version 8
%define beta Beta
%define dist .an%{base_release_version}

Name:           anolis-release
Version:        %{full_release_version}
Release:        %{anolis_release}%{?dist}
Summary:        %{product_family} %{base_release_version} release file
Group:          System Environment/Base
License:        GPLv2
Obsoletes:      rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release redhat-release centos-release
Provides:       redhat-release = %{compat_release_version}
Provides:       system-release = %{base_release_version}
Provides:       system-release(releasever) = %{base_release_version}

Source0:        EULA
Source1:        GPL
Source2:	RPM-GPG-KEY-ANOLIS

Source10:	90-default.preset

Source100:	AnolisOS-BaseOS.repo
Source101:	AnolisOS-AppStream.repo

%description
%{product_family} %{base_release_version} release files


%package -n anolis-repos
Summary:        %{product_family} package repositories
Group:          System Environment/Base
Provides:       anolis-repos(%{base_release_version}) = %{base_release_version}.%{anolis_release}
Requires:       system-release = %{base_release_version}
Requires:       anolis-gpg-keys = %{version}-%{release}

%description -n anolis-repos
%{product_family} package repository files for yum and dnf

%package -n anolis-gpg-keys
Summary:        %{product_family} RPM keys
Group:          System Environment/Base
BuildArch:      noarch

%description -n anolis-gpg-keys
%{product_family} RPM signature keys

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release
echo "%{product_family} release %{full_release_version}" > %{buildroot}/etc/%{name}
ln -s %{name} %{buildroot}/etc/system-release
ln -s %{name} %{buildroot}/etc/redhat-release

# create /etc/os-release
cat << EOF >>%{buildroot}/etc/os-release
NAME="%{product_family}"
VERSION="%{full_release_version}"
ID="anolis"
ID_LIKE="rhel fedora centos"
VERSION_ID="%{full_release_version}"
PLATFORM_ID="platform:an%{base_release_version}"
PRETTY_NAME="%{product_family} %{full_release_version}"
ANSI_COLOR="0;31"
HOME_URL="https://openanolis.org/"

EOF
# write cpe to /etc/system/release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE2} %{buildroot}/etc/pki/rpm-gpg

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE100} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE101} %{buildroot}/etc/yum.repos.d

# set up the dist tag macros
install -d -m 755 %{buildroot}/etc/rpm
cat >> %{buildroot}/etc/rpm/macros.dist << EOF
# dist macros.

%%anolis_ver %{base_release_version}
%%anolis     %{base_release_version}
%%anolis%{base_release_version} 1
%%dist %dist
# For compatibility
%%rhel %{compat_release_version}
%%el%{compat_release_version} 1
EOF

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}/%{_docdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE10} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/etc/system-release
/etc/redhat-release
/etc/%{name}
%config(noreplace) /etc/os-release
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%{_prefix}/lib/systemd/system-preset/*
/etc/rpm/macros.dist
%{_docdir}/%{name}

%files -n anolis-repos
%config(noreplace) /etc/yum.repos.d/*

%files -n anolis-gpg-keys
/etc/pki/rpm-gpg/

%changelog
* Fri Mar  5 2021 Liwei Ge <geliwei@openanolis.org> - 8.2-4
- Update EULA for Anolis OS

* Thu Mar  4 2021 Liwei Ge <geliwei@openanolis.org> - 8.2-3
- Fix repo url

* Wed Mar  3 2021 Liwei Ge <geliwei@openanolis.org> - 8.2-2
- Update repo url and add public key

* Tue Jan 19 2021 Liwei Ge <geliwei@openanolis.org> - 8.2-1
- Init version of anolis-release
